{flake, ...}: let
  inherit
    (flake.config.aesthetics.themes.theme)
    font
    colors
    ;
  custom = {
    font = font;
    font_size = "12px";
    font_weight = "bold";
    text_color = colors.mauve;
    secondary_accent = colors.lavender;
    tertiary_accent = colors.sky;
    background = colors.base;
    opacityBg = "0.90";
    opacityBt = "1";
  };
in ''

    * {
        min-height: 0px;
        font-family: ${custom.font};
        font-weight: ${custom.font_weight};
    }

    window#waybar {
        background: #${colors.crust};
        color: #${colors.surface2};
        border: 2px solid;
        border-radius: 30px;
        border-color: #${colors.mauve};
        min-height: 100px;
        opacity: ${custom.opacityBg};
  }

    #workspaces {
        font-size: 18px;
        padding-left: 15px;
        margin-bottom: 2px;
    }
    #workspaces button {
        color: #${colors.overlay2};
        padding: 5px;
        opacity: ${custom.opacityBt};
    }
    #workspaces button.empty {
        color: #${colors.surface2};
    }
    #workspaces button.active {
        color: #${colors.mauve};
    }

    #tray, #pulseaudio, #privacy, #cpu, #memory, #disk, #clock {
        font-size: ${custom.font_size};
        color: #${colors.mauve};
        padding-right: 10px;
    }

    #privacy {
    }

    #cpu {
    }

    #memory {
    }

    #disk {
    }

    #tray {
    }

    #pulseaudio {
    }

    #clock {
    }

    #custom-launcher {
        font-size: 20px;
        color: #${colors.mauve};
        font-weight: ${custom.font_weight};
        padding-left: 10px;
    }

    #custom-weather {
        font-size: 14px;
        color: #${colors.mauve};
        font-weight: ${custom.font_weight};
    }
''
